/* DX Services - List Page */
.dx-service-wrapper {
  width: 100%;
  max-width: 650px;
  margin-inline: auto;
  padding-bottom: 40px;

  @media screen and (min-width: 1024px) {
    padding-bottom: 80px;
  }
}

.dx-service-block {
  margin-block: 40px;

  @media screen and (min-width: 1024px) {
    margin-block: 80px;
  }
}

.dx-service-block--extra-padding {
  padding: 20px;
  @media screen and (min-width: 1024px) {
    padding: 40px;
  }
}

.dx-service-intro {
  > *:not(:last-child) {
    margin-bottom: 40px;
  }
}

.dx-service-intro__title {
  font-size: 30px;
  font-weight: 700;
  letter-spacing: 0.05em;

  @media screen and (min-width: 1024px) {
    font-size: 36px;
  }
}

.dx-service-intro__content {
  line-height: 2;

  > *:not(:last-child) {
    margin-bottom: 40px;
  }
}

.dx-service-all {
  padding-block: 40px;

  .button {
    width: 100%;
    min-height: 80px;
    gap: 20px;

    @media screen and (min-width: 768px) {
      gap: 40px;
      .button__label {
        font-size: 18px;
      }
    }
  }
}

.dx-card__content {
  display: flex;
  flex-direction: column;
  gap: 20px;

  padding: 20px;
  @media screen and (min-width: 1024px) {
    padding: 40px;
  }
}

.dx-card__title {
  font-size: 20px;
  font-weight: 700;
  letter-spacing: 0.05em;

  @media screen and (min-width: 1024px) {
    font-size: 24px;
  }
}

.dx-card__description {
  line-height: 2;
}

.dx-card__link {
  display: inline-flex;
  align-items: center;
  font-size: 14px;
  gap: 16px;
  padding-block: 16px;
  border-bottom: 1px solid currentColor;
  font-weight: 700;
  max-width: 300px;

  > span:nth-child(2) {
    font-size: 12px;
  }

  .dx-card__icon {
    margin-left: auto;
  }
}

/* DX Service - Details Page */
.dx-banner {
  padding-block: 40px;

  .dx-banner__inner {
    width: 100%;
    max-width: 1000px;
    margin-inline: auto;
    padding-inline: 24px;
  }

  .dx-banner__wrapper {
    display: flex;
    flex-flow: column;
    gap: 40px;

    @media screen and (min-width: 768px) {
      flex-flow: row;
      align-items: center;
    }
  }

  .dx-banner__content {
    flex: 1 1 0%;
    letter-spacing: 0.05em;
  }

  .dx-banner__title {
    font-weight: 700;
    font-size: 24px;
    margin-bottom: 20px;

    @media screen and (min-width: 768px) {
      font-size: 30px;
    }
  }

  .dx-banner__subtitle {
    font-size: 14px;
    font-weight: 500;
  }

  .dx-banner__img {
    flex: none;
    @media screen and (min-width: 768px) {
      max-width: 560px;
    }
  }
}

.dx-detail-wrapper {
  width: 100%;
  max-width: 800px;
  margin-inline: auto;

  > * {
    margin-block: 40px;
    @media screen and (min-width: 1024px) {
      margin-block: 80px;
    }
  }
}

.dx-intro {
  > *:not(:last-child) {
    margin-bottom: 40px;
  }

  .dx-intro__title {
    font-size: 30px;
    font-weight: 700;
    letter-spacing: 0.05em;

    @media screen and (min-width: 1024px) {
      font-size: 36px;
    }
  }

  .dx-intro__content {
    line-height: 2;
  }
}

.dx-list {
  border-top: 1px solid;
}

.dx-item {
  padding: 40px 0;
  border-bottom: 1px solid;
  display: flex;
  flex-flow: column;
  gap: 40px;

  @media screen and (min-width: 768px) {
    padding: 80px 40px;
    flex-flow: row;
  }

  @media screen and (min-width: 1024px) {
    gap: 60px;
  }

  .dx-item__content {
    flex: 1 1 0%;

    > *:not(:last-child) {
      margin-bottom: 20px;
    }
  }

  .dx-item__title {
    font-weight: 700;
    font-size: 20px;
    line-height: 1.625;

    @media screen and (min-width: 1024px) {
      font-size: 24px;
    }
  }

  .dx-item__description {
    font-weight: 500;
    font-size: 14px;
    line-height: 2;
  }

  .dx-item__services {
    flex: 1 1 0%;

    display: flex;
    flex-direction: column;
    gap: 16px;

    @media screen and (min-width: 768px) {
      max-width: 300px;
      gap: 32px;
    }

    .dx-services-header {
      text-transform: uppercase;
      font-size: 12px;
      letter-spacing: 0.05em;
      text-align: center;
    }

    .service-list-logo {
      display: flex;
      flex-flow: row wrap;
      align-items: center;
      justify-content: center;
      gap: 10px 20px;

      @media screen and (min-width: 768px) {
        gap: 10px 40px;
      }
      @media screen and (min-width: 1024px) {
        gap: 20px 60px;
      }
    }

    .dx-card__button {
      text-align: center;
    }
  }
}

.dx-link {
  padding-block: 40px;
  text-align: center;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 16px;
}
